<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package WordPress
 * @subpackage Vintwood
 * @since Vintwood 1.0
 */
?>

	</div><!-- #main -->

	<?php
    global $cws_theme_funcs;
		if ($cws_theme_funcs){
			$printed_footer = $cws_theme_funcs->cws_page_footer();
			echo sprintf("%s", $printed_footer);
		} else {
		?>

		<div class="copyrights_area">
			<div class="container">
				<div class="copyrights_container a-center">
					<div class="copyrights">
						<?php esc_html_e('Copyright ', 'vintwood'); ?> <?php echo date("Y");?>
					</div>
				</div>
			</div>
		</div>

		<?php
		}
	echo cws_scroll_to_top();
	?>
	</div>
<!-- end body cont -->
<?php
wp_footer();
?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>